const imagemin = require('imagemin')
const imageminWebp = require('imagemin-webp')


/**
 * @param {Object} 配置参数
 * paths, types, distPath, quality
 * 
 * @return { Promise }
 */
const buildWebp = ({ paths = ['client/images'], types = ['png', 'jpg', 'jpeg'], distPath = 'client/images/webp', quality = 75 }) => {
  let __paths = []
  for (let path of paths) {
    __paths.push(`${process.cwd()}/${path}/*.{${types.join(',')}}`)
  }

  return imagemin(__paths, distPath, {
    use: [
      imageminWebp({ quality, })
    ]
  })
}

module.exports = {
  buildWebp,
}